class Deis::Client < Cistern::Service
  collection_path "deis/client/collections"
  model_path      "deis/client/models"
  request_path    "deis/client/requests"

  collection :users
  model :user
  request :register_user

  recognizes :url, :logger, :adapter, :username, :password, :token

  requires :url

  module Shared
    def authenticated?
      !! @auth_token
    end
  end
end

require 'deis/client/real'
require 'deis/client/mock'
